Binance CAPTCHA

Binance CAPTCHA

Token-based method for automatic Binance CAPTCHA solving.

Method specification

  • BinanceTaskproxyless — we use our own proxy pool to solve captchas
  • BinanceTask — we use your proxies

BinanceTaskproxyless method specification

Property Type Required Description
type String Yes Task type: BinanceTask or BinanceTaskproxyless
websiteURL String Yes Full URL of the page where the captcha is loaded
websiteKey String Yes Value of bizId, bizType, or bizCode from page requests
validateId String Yes Dynamic value of validateId, securityId, or securityCheckResponseValidateId

IMPORTANT: some parameter values are dynamic — they change every time the Binance page is rendered.

BinanceTask method specification

Property Type Required Description
proxyType String Yes Proxy type:
http
socks4
socks5
proxyAddress String Yes Proxy server IP address or hostname
proxyPort Integer Yes Proxy server port
proxyLogin String No Login used for authentication on the proxy server
proxyPassword String No Password used for authentication on the proxy server

Request example

Method: createTask
API endpoint: https://api.2captcha.com/createTask

BinanceTaskproxyless

json Copy
{
    "clientKey": "YOUR_API_KEY",
    "task": {
      "type": "BinanceTaskproxyless",
      "websiteURL": "https://example.com/page-with-binance",
      "websiteKey": "login",
      "validateId": "cb0bfefa598...e54ecd57b",
      "userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/138.0.0.0 Safari/537.36"
    }
  }

BinanceTask

json Copy
{
    "clientKey": "YOUR_API_KEY",
    "task": {
      "type": "BinanceTask",
      "websiteURL": "https://example.com/page-with-binance",
      "websiteKey": "login",
      "validateId": "cb0bfefa5...1fde54ecd57b",
      "proxyType": "http",
      "proxyAddress": "1.2.3.4",
      "proxyPort": 8080,
      "proxyLogin": "login",
      "proxyPassword": "password"
    }
  }

Response example

Method: getTaskResult
API endpoint: https://api.2captcha.com/getTaskResult

json Copy
{
  "errorId": 0,
  "status": "ready",
  "solution": {
    "token": "captcha#09ba4905a79f44f...kc99maS943qIsquNP9D77",
    "userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/138.0.0.0 Safari/537.36"
  }
}

How to find websiteKey and validateId

Open developer tools, go to the Network tab, trigger the captcha and check the requests. Some of them will contain the parameter values you need.

Additionally, you can get the parameters needed for solving by running JavaScript:

JavaScript Copy
let originalBCaptcha = window.BCaptcha;
let BCaptchaData;

Object.defineProperty(window, 'BCaptcha', {
  get: function() {
    return function(args) {
      const BCaptcha = new originalBCaptcha(args);
      let BCaptchaShow = BCaptcha.__proto__.show;
      
      BCaptcha.__proto__.show = function(args) {
        BCaptchaData = args;
        return 1;
      };
      
      return BCaptcha;
    };
  }
});